
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelO3BulkExporter;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.presentation.ergebnis.exchange.NlWasModelO3BulkExportDescription;

/**
 * @deprecated ELECT-15233, Model O 3 -> Model O 7
 */
@Deprecated
public class NlWasModelO3BulkExportMenuItemEntry extends AbstractNlWasErgebnisArtefaktNachGebietErgebniseingabestatusBulkExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasModelO3BulkExportDescription nlWasModelO3BulkExportDescription;

  public NlWasModelO3BulkExportMenuItemEntry() {
    super();
  }

  @Override
  protected Collection<Ergebniseingabestatus> getGebietErgebniseingabestatus() {
    return NlWasModelO3BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }

  @Override
  protected NlWasModelO3BulkExportDescription getExportDescription() {
    return nlWasModelO3BulkExportDescription;
  }
}
